<?php
/**
 * Feed Item List Page
 *
 * Lists items in a given feed (all, unread, or bookmarked)
 */

include '../../start.php';

$db = Data::getConnection();
Security::verifyUser($db);

if (!($feed = Feed::retrieveById($_GET['id'], $db))) not_found();

$list = match (true) {
    key_exists('unread',     $_GET) => ItemList::unreadForFeed($feed['id'], $db),
    key_exists('bookmarked', $_GET) => ItemList::bookmarkedForFeed($feed['id'], $db),
    default                         => ItemList::allForFeed($feed['id'], $db)
};

page_head(($list->itemType != '' ? "$list->itemType Items | " : '') . strip_tags($feed['title']));
if ($list->itemType == '') {
    echo '<h1>' . htmlentities($feed['title']) . '</h1>';
} else {
    echo '<h1 class=item_heading>' . htmlentities($feed['title']) . '</h1>';
    echo "<div class=item_published>$list->itemType Items</div>";
}
$list->render();
page_foot();
$db->close();
