<?php
include '../../start.php';

$db = Data::getConnection();
Security::verifyUser($db, redirectIfAnonymous: false);

// Users already logged on have no need of this page
if (key_exists(Key::USER_ID, $_SESSION)) frc_redirect('/');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    Security::logOnUser($_POST['email'] ?? '', $_POST['password'], $_POST['returnTo'] ?? null, $db);
    // If we're still here, something didn't work; preserve the returnTo parameter
    $_GET['returnTo'] = $_POST['returnTo'];
}

$isSingle = SECURITY_MODEL == Security::SINGLE_USER_WITH_PASSWORD;

page_head('Log On'); ?>
<h1>Log On</h1>
<article>
    <form method=POST action=/user/log-on><?php
        if (($_GET['returnTo'] ?? '') != '') { ?>
            <input type=hidden name=returnTo value="<?=$_GET['returnTo']?>"><?php
        }
        if (!$isSingle) { ?>
            <label>
                E-mail Address
                <input type=email name=email required autofocus>
            </label><?php
        } ?>
        <label>
            Password
            <input type=password name=password required<?=$isSingle ? ' autofocus' : ''?>>
        </label>
        <span class=break></span>
        <button type=submit>Log On</button>
    </form>
</article><?php
page_foot();
$db->close();
